System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.ComponentModel.TypeConverter

Use the class to convert a to an object of another data type. You can also use the class to convert an object of another data type to a .

This converter can convert only a string to and a to a string.

You should never access a type converter directly. Instead, call the appropriate converter by using . For more information, see the examples in the base class.

Converts from a object to an object of another data type and from another type to a object.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added

  Returns a value indicating whether the unit converter can convert from the specified source type.

  true if the source type can be converted from; otherwise, false.

  An instance that specifies the context of the object to convert. The type of the source. 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Boolean `` `` To be added.

  Returns a value indicating whether the converter can convert a object to the specified type.

  true if the converter supports converting a object to the destination type; otherwise, false.

  An that indicates the context of the object to convert. The that represents the data type to convert to.
- Method
  System.Object `` `` `` To be added

  Performs type conversion from the specified context, object, and argument list.

  The object resulting from conversion.

  An instance that indicates the context of the object to convert. A object that represents information about a culture such as language, calendar system, and so on. This parameter is not used in this method. It is reserved for future versions of this method. You can optionally pass null for this parameter. The object to convert. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` `` `` To be added

  Performs type conversion to the specified destination type given the specified context, object and argument list.

  The object resulting from conversion.

  An instance that indicates the context of the object to convert. A object that represents information about a culture such as language, calendar system, and so on. This parameter is not used in this method. It is reserved for future versions of this method. You can optionally pass null for this parameter. The object to convert. The type to convert to. 1.0.5000.0 2.0.0.0